require 'beaker-rspec'
require 'beaker-puppet'
require 'beaker/puppet_install_helper'
require 'beaker/module_install_helper'

run_puppet_install_helper
install_module_on(hosts)
install_module_dependencies_on(hosts)

RSpec.configure do |c|
  # Configure all nodes in nodeset
  c.before :suite do
    # Sympa requires MTA
    install_module_from_forge('puppet-postfix', '>= 4.0.0 < 4.4.0')

    pp_helper = %(
      class { 'postfix':
        smtp_listen => 'all',
      }
    )
    apply_manifest(pp_helper, catch_failures: true)
  end
end
